Cyberduck Mountain Duck CLI

#2013 closed defect (duplicate)

Unable to find class: ch.cyberduck.ui.cocoa.CDMainApplication

Reported by: anonymous Owned by: dkocher
Priority: high Milestone: 3.0
Component: core Version: 2.8.5
Severity: blocker Keywords:
Cc: eljobe@… Architecture:
Platform:

Description

Although Java1.5 is set explicitly in Info.plist, I still get this error. Installed Java1.6 but all symlinks in /System/Library/Frameworks/JavaVM.framework/Versions show to Java1.5 (Using Leopard)

Change History (5)

comment:1 Changed on May 7, 2008 at 9:01:58 PM by dkocher

Have you a thing like WindowDragon installed?

comment:2 Changed on May 10, 2008 at 8:40:59 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

comment:3 follow-up: Changed on May 10, 2008 at 10:36:24 PM by eljobe@…

  • Cc eljobe@… added
  • Milestone 3.1 deleted
  • Priority changed from normal to high
  • Resolution worksforme deleted
  • Severity changed from normal to blocker
  • Status changed from closed to reopened
  • Version changed from 3.0b3 to 2.8.5

I am seeing this error when I try to run Cyberduck. $> cd /Applications/Cyberduck.app/Contents/MacOS/ $> ./Cyberduck 2008-05-10 15:30:39.098 Cyberduck[33836:10b] Unable to find class: ch.cyberduck.ui.cocoa.CDMainApplication, exiting

This may have something to do with how my java environment is set up.

$> java -version java version "1.6.0_05" Java(TM) SE Runtime Environment (build 1.6.0_05-b13-120) Java HotSpot(TM) 64-Bit Server VM (build 1.6.0_05-b13-52, mixed mode)

I am getting this error even when running with Cyberduck 2.8.5

Please give me a workaround or something.

comment:4 in reply to: ↑ 3 Changed on May 10, 2008 at 10:40:26 PM by anonymous

Wow, That formatting is bad.
$> cd /Applications/Cyberduck.app/Contents/MacOS/
$> ./Cyberduck
2008-05-10 15:30:39.098 Cyberduck[33836:10b] Unable to find class: ch.cyberduck.ui.cocoa.CDMainApplication, exiting

$> java -version
java version "1.6.0_05"
Java(TM) SE Runtime Environment (build 1.6.0_05-b13-120)
Java HotSpot(TM) 64-Bit Server VM (build 1.6.0_05-b13-52, mixed mode)

comment:5 Changed on May 11, 2008 at 7:52:55 AM by dkocher

  • Milestone set to 3.0
  • Resolution set to duplicate
  • Status changed from reopened to closed

Update to the latest beta of 3.0. It specifies 5.0 as the required VM and will not try to use 1.6 which breaks Cocoa Applications.

Note: See TracTickets for help on using tickets.
swiss made software